Bug 93363 - Kommander-executor crashes after pressing a button
Summary: Kommander-executor crashes after pressing a button
Status: RESOLVED FIXED
Alias: None
Product: kommander
Classification: Applications
Component: Kommander executor (show other bugs)
Version: 1.0
Platform: Debian testing Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: mrudolf
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-16 14:29 UTC by Cyb Org
Modified: 2006-04-27 11:12 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
testcase (1.16 KB, application/x-kommander)
2004-12-04 16:42 UTC, cobaco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cyb Org 2004-11-16 14:29:56 UTC
Version:           1.0 (using KDE KDE 3.3.1)
Installed from:    Debian testing/unstable Packages
Compiler:          gcc-Version 3.3.4 (Debian 1:3.3.4-13) Thread-Modell: posix
OS:                Linux

So, I am using KDE 3.3.1 and installed two different qt3libs already but kmdr-executor still crashes.

I used the binary shipped with KDE 3.3.1 unstable debian, I compiled myself the kommander 1.0 package from sourceforge - still, always the same problem.

Here is the scenario:
I create a simple dialog
I put an OK Button on it.
Start the dialog
clicking on the button makes him crash.

Weird behaviour doesnt happen on my laptop, where also KDE 3.3 is installed, however I dont know if exactly the same deb-file - but libqt3c102-mt is the same.
I also tried the latest QTs (unstable) or the testing QTs.

KCrash Backtrace shows:

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 1096031680 (LWP 14393)]
[KCrash handler]
#3  0x40ef5549 in QString::QString () from /usr/lib/libqt-mt.so.3
#4  0x4002788c in MyProcess::output () from /usr/lib/libkommanderwidget.so.0
#5  0x40079c61 in ExecButton::processExited ()
   from /usr/lib/libkommanderwidgets.so.0
#6  0x4007a153 in ExecButton::qt_invoke ()
   from /usr/lib/libkommanderwidgets.so.0
#7  0x40c2352c in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#8  0x40027c6a in MyProcess::processExited ()
   from /usr/lib/libkommanderwidget.so.0
#9  0x400272eb in MyProcess::run () from /usr/lib/libkommanderwidget.so.0
#10 0x40079a41 in ExecButton::startProcess ()
   from /usr/lib/libkommanderwidgets.so.0
#11 0x4007a172 in ExecButton::qt_invoke ()
   from /usr/lib/libkommanderwidgets.so.0
#12 0x40c2352c in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#13 0x40c23354 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#14 0x40f6828e in QButton::clicked () from /usr/lib/libqt-mt.so.3
#15 0x40cb597a in QButton::mouseReleaseEvent () from /usr/lib/libqt-mt.so.3
#16 0x40c59697 in QWidget::event () from /usr/lib/libqt-mt.so.3
#17 0x40bc6bcf in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#18 0x40bc62c4 in QApplication::notify () from /usr/lib/libqt-mt.so.3
#19 0x4075ada3 in KApplication::notify () from /usr/lib/libkdecore.so.4
#20 0x40b5b640 in QETWidget::translateMouseEvent () from /usr/lib/libqt-mt.so.3
#21 0x40b592ce in QApplication::x11ProcessEvent () from /usr/lib/libqt-mt.so.3
#22 0x40b701a4 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#23 0x40bd8f28 in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#24 0x40bc6e81 in QApplication::enter_loop () from /usr/lib/libqt-mt.so.3
#25 0x40dad570 in QDialog::exec () from /usr/lib/libqt-mt.so.3
#26 0x08051d8d in Instance::run ()
#27 0x08054e3a in main ()
Comment 1 Cyb Org 2004-11-16 14:35:09 UTC
okay some comments because my english is bad like 4$$:
* kmdr-executor crashes when I click on a button in a kmdr-file. (any - if i dont declare a "pressed()" connection, which makes the button simply unusable)
* happens with examples too. but not with all (Run kcalc did work, but Cancel crashed him)
* i tried two different libqt-mts (testing and unstable)
* my laptop dont show this behaviour - but it isnt exactly the same system (laptop is set up a month ago, but i dont know the versions anymore - inoperable ATM)

* i tried the kommander package shipped with debian 3.3.1 unstable. (v1.0)
* i tried latest kommander 1.0 package from official site
* i tried kommander-devel1.1 but it doesnt run so this might be something else.
Comment 2 mrudolf 2004-11-17 12:45:16 UTC
Cyb Org,  wtorek, 16 listopada 2004 14:35:

>* kmdr-executor crashes when I click on a button in a kmdr-file. (any - if i
> dont declare a "pressed()" connection, which makes the button simply
> unusable) 
Can you explain? Why do you need pressed() connection for the button?

Can you attach the dialog that crashes? Or please send me it by e-mail.

> * happens with examples too. but not with all (Run kcalc did 
> work, but Cancel crashed him) * i tried two different libqt-mts (testing
> and unstable)
>* my laptop dont show this behaviour - but it isnt exactly the same system.
Did problem happen also with KDE 3.3.0?

>* i tried latest kommander 1.0 package from official site
Was the behaviour the same?

>* i tried kommander-devel1.1 but it doesnt run so this might be something
> else.
Can you explain what does it mean "it doesn't run?"

Comment 3 Cyb Org 2004-11-17 18:21:42 UTC
Am Mittwoch 17 November 2004 12:45 schrieb mrudolf@kdewebdev.org:
> ------- You are receiving this mail because: -------
> You reported the bug, or are watching the reporter.
>
> http://bugs.kde.org/show_bug.cgi?id=93363
>
>
>
>
> ------- Additional Comments From mrudolf kdewebdev org  2004-11-17 12:45
> -------
>
> Cyb Org,  wtorek, 16 listopada 2004 14:35:
> >* kmdr-executor crashes when I click on a button in a kmdr-file. (any - if
> > i dont declare a "pressed()" connection, which makes the button simply
> > unusable)
>
> Can you explain? Why do you need pressed() connection for the button?
>

it is not of importance, what I do - it crashes anyway. the pressed() 
connection was only an example.
As I said: simple kmdr dialog with: one button
Run, click the button and it crashes.
and only happens on my machine, I still research what I'm doing wrong.
checked if it is user-related, but a new kde user has same problems.

> Can you attach the dialog that crashes? Or please send me it by e-mail.

well, I could do that, if you insist, but as i said it is really simple to 
create it: make a dialog and place a button on it, without function.
thats all, that is what crashes.

>
> > * happens with examples too. but not with all (Run kcalc did
> > work, but Cancel crashed him) * i tried two different libqt-mts (testing
> > and unstable)
> >* my laptop dont show this behaviour - but it isnt exactly the same
> > system.
>
> Did problem happen also with KDE 3.3.0?

didnt use kde 330
there is no debian package for that.

Here all kdebase versions:
gab@cyborg:~$ apt-cache policy kdebase
kdebase:
  Installiert:4:3.3.1-2
  Mögliche Pakete:4:3.3.1-2
  Versions-Tabelle:
 *** 4:3.3.1-2 0
        500 ftp://debian.inode.at unstable/main Packages
        100 /var/lib/dpkg/status
     4:3.2.2-1 0
        990 ftp://debian.inode.at testing/main Packages
     4:3.2.2-0.credativ.2 0
        500 ftp://ftp.kde.org stable/main Packages

here my konqueror version string:
gab@cyborg:~$ konqueror -v
Qt: 3.3.3
KDE: 3.3.1
Konqueror: 3.3.1

kdebase 3.3.1-2 is latest debian package.
my laptop uses the same

About QT:
gab@cyborg:~$ apt-cache policy libqt3c102-mt
libqt3c102-mt:
  Installiert:3:3.3.3-6
  Mögliche Pakete:3:3.3.3-6
  Versions-Tabelle:
 *** 3:3.3.3-6 0
        500 ftp://debian.inode.at unstable/main Packages
        100 /var/lib/dpkg/status
     3:3.3.3-4.1 0
        990 ftp://debian.inode.at testing/main Packages
     3:3.2.3-1.credativ.4 0
        500 ftp://ftp.kde.org stable/main Packages

here only difference: Laptop uses 3:3.3.3-4.1 while i use -6 => but I also 
tried 4.1 on my machine, same result.
Both using kommander-executor 1.0
also X versions are the same.

could there be ANY package used by kommander which I dont know?
maybe it is related on some of the packages "behind" kommander.
and maybe thats such a standardpackage


>
> >* i tried latest kommander 1.0 package from official site
>
> Was the behaviour the same?
yes.

>
> >* i tried kommander-devel1.1 but it doesnt run so this might be something
> > else
>
> Can you explain what does it mean "it doesn't run?"

I could reinstall it, next week.
but as i remember kmdr-editor didnt found some symbol
and kmdr-executor had some error with some plugins or kommanderwidget.so.1
I think it is, because it is only a devel release.

oh yeah i saw something else.
libc6 is one version earlier at my laptops. I will install the newest on my 
laptop and check out if kmdr has the crash then too

Comment 4 Cyb Org 2004-11-17 18:36:03 UTC
gab@cyborg:~$ kmdr-editor
kmdr-editor: relocation error: /usr/lib/libkommanderwidgets.so.0: undefined 
symbol: _ZNK15KommanderPlugin9classNameEv

thats what happens with 1.1devel2
however, this would be bug-off-topic

Comment 5 cobaco 2004-12-04 16:42:51 UTC
Created attachment 8538 [details]
testcase

this crashes for me (Debian unstable package version 1:3.3.1-1 , kommander 1.0)
Comment 6 cobaco 2004-12-04 19:07:42 UTC
after some more testing I can say that this only seams to happen when the 
first instruction of the Kommandertext of the button starts with '@'
Comment 7 mrudolf 2005-03-03 23:55:48 UTC
Bug has been fixed some time ago.